## com.sun.jersey.api.view
Annotation Type ImplicitProduces

    @Inherited
    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface ImplicitProduces

Defines the media type(s) that a resource class can produce for implicit views.

The list of media types may be declared individually as String items or as a comma separated list of one or more String items.

A quality source parameter, qs, may be declared as a parameter of a media type. This enables the application to prefer to produce say "text/html" over "application/xml" if the former has a higher quality source value than the latter and the former is an acceptable media type.

Required Element Summary
`java.lang.String[]` | `value` A list of media types.

Element Detail

### value

    public abstract java.lang.String[] value

  A list of media types. E.g. "image/jpeg,image/gif"

Copyright © 2017 Oracle Corporation. All Rights Reserved.